'use strict'
/* admin/add.js
 * routes for intra-server peer sharing
*/
 
const env = require(process.argv[2]||'../env.json')
const fs = require('fs').promises

// Get secret
const local_secret = env.SERVERS.filter(
	(server) => server.host === env.LOCAL_SERVER
)[0].secret

module.exports = async (req, res) => {
	
	// Check secret auth
	if (req.query['secret']!==local_secret) {
		console.log(`Peer sent from ${req.requester} without correct secret querystring!`)
		return res.sendStatus(403)
	}
	
	// Add request body to wg config
	try {
		await fs.appendFile(env.WG_CONFIG_FILE, req.body)
	} catch (err) { 
		console.error(`Failed to save new peer config from ${req.requester} to ${env.WG_CONFIG_FILE}`,err)
		return res.sendStatus(500)
	}
	console.log(`Saved new peer from ${req.requester}`)
	
	// Respond
	return res.sendStatus(200)		

}