'use strict'
/* app/list.js
 * route for a client to add a peer
*/

const helper = require('../includes/helpers')

module.exports = async (req, res) => {
	console.log(`${req.requester} loaded dashboard`)
	
	// Get user from IP
	let user
	try { user = await helper.getUserFromIp(req.requester) }
	catch (err) {
		console.error(`Failed to get user from ${req.requester}`)
		return res.sendStatus(err)
	}
	console.log(`${req.requester} must be ${user.name}`)

	// Get or generate token
	try { user.token = helper.getToken(req.requester) || await helper.setToken(req.requester) }
	catch (err) {
		console.error(`Failed to set token for ${req.requester}`)
		return res.sendStatus(err)
	}
	
	// Send user
	res.setHeader('content-type', 'text/json')
	res.send(user)

}